Bug 183405 - rhnpush config files don't behave in the standard way
rhnpush config files don't behave in the standard way
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Sanders
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 16:31 EST by John Wregglesworth
Modified: 2008-10-15 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 11:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-02-28 16:31:52 EST
Description of problem: rhnpush's main config file,
/etc/sysconfig/rhn/rhnpushrc, is currently required to have default values for
all of it's settings. This is less than ideal. A better way to handle it would
be to have the default values stored internally in rhnpush and only have the
options in the main config files that the majority of users would be interested
in. rhnpush already behaves like this to an extent; when there's a setting
missing in the main config file, rhnpush will complain and tell you that it's
using the internal default. All we would likely need to do is remove a couple of
print statements and pare down the contents of /etc/sysconfig/rhn/rhnpushrc.
Comment 1 Bret McMillan 2006-03-16 16:23:12 EST
John, not certain I understand the bug.  If it's just complaining that the
defaults aren't in the file, but it then does what it needs to do based on
internal defaults, that's actually a GoodThing(tm) in my opinion.  It does 2
main things:

1)  it gives people an understanding of the universe of configuration options
2)  it tells them what the default value is.  I.e., they don't have to trace
through the source to find the hard-coded defaults

Let's talk about this some more so I understand what you feel is busted here,
but for now, I'm going to move it to rhn-uncommited.
Comment 2 Red Hat Bugzilla 2007-05-03 01:39:00 EDT
User wregglej@redhat.com's account has been closed
Comment 3 Amanda Carter 2008-10-15 11:37:19 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.